Skip to main content
PATCH
/
api
/
v1
/
businesses
/
{businessId}
/
appointments
/
{appointmentId}
Error
A valid request URL is required to generate request examples
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "businessId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "contactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "title": "Discovery Call",
    "description": "<string>",
    "scheduledAt": "2023-11-07T05:31:56Z",
    "timezone": "America/New_York",
    "duration": 30,
    "status": "BOOKED",
    "location": "<string>",
    "meetingUrl": "<string>",
    "notes": "<string>",
    "cancellationReason": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

API key prefixed with sk-ak-. Pass as Authorization: Bearer sk-ak-...

Path Parameters

businessId
string<uuid>
required

The business ID

appointmentId
string<uuid>
required

Body

application/json

Fields to update

title
string
Maximum string length: 255
description
string
Maximum string length: 5000
scheduledAt
string<date-time>
timezone
string
Maximum string length: 100
duration
integer
Required range: 5 <= x <= 480
status
enum<string>
Available options:
BOOKED,
RESCHEDULED,
CANCELLED,
COMPLETED
location
string
Maximum string length: 255
meetingUrl
string<uri>
Maximum string length: 500
notes
string
Maximum string length: 5000
cancellationReason
string
Maximum string length: 1000

Response

Appointment updated

data
object